Bug 1032773 - Avoid crashes/malfunction when using NSS shared db (NSS_DEFAULT_DB_TYPE=sql)
Avoid crashes/malfunction when using NSS shared db (NSS_DEFAULT_DB_TYPE=sql)
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xulrunner (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
:
Depends On: 1032770
Blocks: 1032771
  Show dependency treegraph
 
Reported: 2013-11-20 14:58 EST by Kai Engert (:kaie)
Modified: 2013-12-02 08:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1032770
Environment:
Last Closed: 2013-12-02 08:51:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 938730 None None None Never

  None (edit)
Description Kai Engert (:kaie) 2013-11-20 14:58:09 EST
+++ This bug was initially created as a clone of Bug #1032770 +++

When using NSS shared DB with Mozilla (actived by setting environment variable NSS_DEFAULT_DB_TYPE=sql), memory allocators are being mixed in system sqlite code, and we crash (or we malfunction).

This is fixed upstream in Mozilla 28, using a makefile patch.

I propose to pick up the patch in RHEL's ESR24.

--- Additional comment from Kai Engert (:kaie) on 2013-11-20 14:55:05 EST ---

Patch: https://hg.mozilla.org/integration/mozilla-inbound/rev/247ff2131af5
Comment 1 Elio Maldonado Batiz 2013-11-21 10:48:35 EST
I might say yes principle to have the right code but in practice it would have no effect.  We don't support the slqlite database type on RHEL-5.
Comment 2 Martin Stransky 2013-12-02 08:51:47 EST
So we don't need that for RHEL5, right?

Note You need to log in before you can comment on or make changes to this bug.